textout(3)

NAME
textout

SYNOPSIS
#include <allegro.h>

void textout(BITMAP *bmp, const FONT *f, const char *s, int x, y, int color);

DESCRIPTION
Writes the string s onto the bitmap at position x, y, using the current text mode and the specified font and foreground color. If the color is -1 and a color font is in use, it will be drawn using the colors from the original font bitmap (the one you imported into the grabber program), which allows multicolored text output.

SEE ALSO
font(3), text_mode(3), textout_centre(3), textout_right(3), textout_justify(3), textprintf(3), text_height(3), text_length(3)